forked from pool/virtualbox
6ef2a4ec60
Files "fixes_for_5.0" and "fixes_for_gcc9" are deleted - the code was fixed upstream. This is a maintenance release. The following items were fixed and/or added: Virtualization core: support Shanghai/Zhaoxin CPUs. User interface: handle command line arguments to VirtualBox correctly (bugs #18206 and #18197) User interface: improvements to machine manager window, virtual optical disk creator, storage selector window and log viewer window User interface: various small fixes and improvements Audio: implemented time scheduling for the AC'97 device emulation to keep audio and video in sync Graphics: basic support for VMSVGA graphics device in virtual machines using EFI Network: fix occasional NATNet crashes (bug #13899) Network: worked around problems in certain PCnet drivers on old operating systems Serial: fixed connecting to pseudo terminals on POSIX hosts (6.0.0 regression; bug #18319) Linux hosts and guests: fix for building kernel modules against Linux 5.0. Thank you Kyle Laker - Converted vboxwebsrv to a systemd service. Previously, this was started through init.d. bsc#1116050 Files "vboxweb-service.service" and "vboxweb-service.sh" are added. File "vbox-vboxweb-init-script.diff" is removed. File "fixes_for_4.20.patch" is removed - the code was fixed upstream. File "fix_lib_search.patch" is added to fix the build of VBox0GL. File "fixes_for_5.0.patch" is added to compensate for API changes in kernel 5.0. File "virtualbox-system-x.patch" is removed. File "fixes_for_Leap15.1.patch" is added to fix build errors on Leap 15<F5>.1. - Version bump to 6.0.2 (released January 15 2019 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: fixed creation of desktop shortcuts for starting virtual machines (bug #18207) User interface: allow the first run window to selecting host drives (bug #18230) User interface: fixed attaching empty host optical drives (bug #18223) User interface: implemented a new virtual optical disk creation window USB: modified Linux backends to reset USB devices (previously, most guest attempts to reset USB devices were ignored) PCnet: fixed a regression which caused some PCnet PCI guest drivers to not detect the emulated hardware (bug #18286) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=465
259 lines
9.4 KiB
Diff
259 lines
9.4 KiB
Diff
Index: VirtualBox-6.0.0/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.0.orig/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
+++ VirtualBox-6.0.0/src/VBox/Additions/linux/installer/vboxadd.sh
|
|
@@ -26,11 +26,14 @@
|
|
# Provides: vboxadd
|
|
# Required-Start:
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Should-Start: $remote_fs
|
|
+# Should-Stop: $remote_fs
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# X-Start-Before: display-manager
|
|
# X-Service-Type: oneshot
|
|
# Description: VirtualBox Linux Additions kernel modules
|
|
+# Short-Description: VirtualBox Linux Additions kernel modules
|
|
### END INIT INFO
|
|
|
|
## @todo This file duplicates a lot of script with vboxdrv.sh. When making
|
|
@@ -141,18 +144,9 @@ module_build_log()
|
|
|
|
dev=/dev/vboxguest
|
|
userdev=/dev/vboxuser
|
|
-config=/var/lib/VBoxGuestAdditions/config
|
|
owner=vboxadd
|
|
group=1
|
|
|
|
-if test -r $config; then
|
|
- . $config
|
|
-else
|
|
- fail "Configuration file $config not found"
|
|
-fi
|
|
-test -n "$INSTALL_DIR" -a -n "$INSTALL_VER" ||
|
|
- fail "Configuration file $config not complete"
|
|
-
|
|
running_vboxguest()
|
|
{
|
|
lsmod | grep -q "vboxguest[^_-]"
|
|
@@ -195,12 +189,6 @@ do_vboxguest_non_udev()
|
|
fail "Cannot create device $dev with major $maj and minor $min"
|
|
}
|
|
fi
|
|
- chown $owner:$group $dev 2>/dev/null || {
|
|
- rm -f $dev 2>/dev/null
|
|
- rm -f $userdev 2>/dev/null
|
|
- rmmod vboxguest 2>/dev/null
|
|
- fail "Cannot change owner $owner:$group for device $dev"
|
|
- }
|
|
|
|
if [ ! -c $userdev ]; then
|
|
maj=10
|
|
@@ -211,12 +199,6 @@ do_vboxguest_non_udev()
|
|
rmmod vboxguest 2>/dev/null
|
|
fail "Cannot create device $userdev with major $maj and minor $min"
|
|
}
|
|
- chown $owner:$group $userdev 2>/dev/null || {
|
|
- rm -f $dev 2>/dev/null
|
|
- rm -f $userdev 2>/dev/null
|
|
- rmmod vboxguest 2>/dev/null
|
|
- fail "Cannot change owner $owner:$group for device $userdev"
|
|
- }
|
|
fi
|
|
fi
|
|
}
|
|
@@ -224,10 +206,9 @@ do_vboxguest_non_udev()
|
|
start()
|
|
{
|
|
begin "Starting."
|
|
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
|
|
- setup --quick
|
|
+ setup --quick
|
|
test -d /sys &&
|
|
- ps -A -o comm | grep -q '/*udevd$' 2>/dev/null ||
|
|
+ ps -A -o comm | grep -q '/*udevd$' 2>/dev/null ||
|
|
no_udev=1
|
|
running_vboxguest || {
|
|
rm -f $dev || {
|
|
@@ -236,7 +217,7 @@ start()
|
|
rm -f $userdev || {
|
|
fail "Cannot remove $userdev"
|
|
}
|
|
- $MODPROBE vboxguest >/dev/null 2>&1 ||
|
|
+ $MODPROBE vboxguest >/dev/null 2>&1 || {
|
|
fail "modprobe vboxguest failed"
|
|
case "$no_udev" in 1)
|
|
sleep .5;;
|
|
@@ -434,9 +415,9 @@ create_udev_rule()
|
|
echo "KERNEL=${udev_fix}\"vboxuser\", NAME=\"vboxuser\", OWNER=\"vboxadd\", MODE=\"0666\"" >> /etc/udev/rules.d/60-vboxadd.rules
|
|
fi
|
|
}
|
|
-
|
|
-create_module_rebuild_script()
|
|
-{
|
|
+ # And an rc file to re-build the kernel modules and re-set-up the X server.
|
|
+ ln -sf "$lib_path/$PACKAGE/vboxadd" /sbin/rcvboxadd
|
|
+ #ln -sf "$lib_path/$PACKAGE/vboxadd-x11" /sbin/rcvboxadd-x11
|
|
# And a post-installation script for rebuilding modules when a new kernel
|
|
# is installed.
|
|
mkdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d
|
|
@@ -467,20 +448,13 @@ shared_folder_setup()
|
|
## @todo It would be nicer if the kernel module just parsed parameters
|
|
# itself instead of needing a separate binary to do that.
|
|
ln -sf "${INSTALL_DIR}/other/mount.vboxsf" /sbin
|
|
- # SELinux security context for the mount helper.
|
|
- if test -e /etc/selinux/config; then
|
|
- # This is correct. semanage maps this to the real path, and it aborts
|
|
- # with an error, telling you what you should have typed, if you specify
|
|
- # the real path. The "chcon" is there as a back-up for old guests.
|
|
- command -v semanage > /dev/null &&
|
|
- semanage fcontext -a -t mount_exec_t "${INSTALL_DIR}/other/mount.vboxsf"
|
|
- chcon -t mount_exec_t "${INSTALL_DIR}/other/mount.vboxsf"
|
|
- fi
|
|
+ succ_msg
|
|
}
|
|
|
|
# setup_script
|
|
setup()
|
|
{
|
|
+<<<<<<< found
|
|
export BUILD_TYPE
|
|
export USERNAME
|
|
|
|
@@ -517,16 +491,33 @@ setup()
|
|
shared_folder_setup
|
|
if running_vboxguest || running_vboxadd; then
|
|
info "Running kernel modules will not be replaced until the system is restarted"
|
|
- fi
|
|
- return 0
|
|
+||||||| expected
|
|
+ export BUILD_TYPE
|
|
+ export USERNAME
|
|
+
|
|
+ MODULE_SRC="$INSTALL_DIR/src/vboxguest-$INSTALL_VER"
|
|
+ BUILDINTMP="$MODULE_SRC/build_in_tmp"
|
|
+ chcon -t bin_t "$BUILDINTMP" > /dev/null 2>&1
|
|
+
|
|
+ test -z "${INSTALL_NO_MODULE_BUILDS}" && setup_modules
|
|
+ create_vbox_user
|
|
+ create_udev_rule
|
|
+ test -z "${INSTALL_NO_MODULE_BUILDS}" && create_module_rebuild_script
|
|
+ test -n "${QUICKSETUP}" && return 0
|
|
+ shared_folder_setup
|
|
+ if running_vboxguest || running_vboxadd; then
|
|
+ info "Running kernel modules will not be replaced until the system is restarted"
|
|
+=======
|
|
+ begin "Recompiling VirtualBox kernel module, NOT. It has been packaged."
|
|
+>>>>>>> replacement
|
|
+ succ_msg
|
|
}
|
|
|
|
# cleanup_script
|
|
cleanup()
|
|
{
|
|
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
|
|
- # Delete old versions of VBox modules.
|
|
- cleanup_modules
|
|
+ # Delete old versions of VBox modules.
|
|
+ cleanup_modules
|
|
depmod
|
|
|
|
# Remove old module sources
|
|
@@ -536,12 +527,13 @@ cleanup()
|
|
fi
|
|
|
|
# Clean-up X11-related bits
|
|
- "${INSTALL_DIR}/init/vboxadd-x11" cleanup
|
|
+ #/sbin/rcvboxadd-x11 cleanup
|
|
|
|
# Remove other files
|
|
- if test -z "${INSTALL_NO_MODULE_BUILDS}"; then
|
|
- rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
|
|
- rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null
|
|
+ rm /sbin/rcvboxadd 2>/dev/null
|
|
+ #rm /sbin/rcvboxadd-x11 2>/dev/null
|
|
+ rm -f /etc/kernel/postinst.d/vboxadd /etc/kernel/prerm.d/vboxadd
|
|
+ rmdir -p /etc/kernel/postinst.d /etc/kernel/prerm.d 2>/dev/null
|
|
fi
|
|
rm /sbin/mount.vboxsf 2>/dev/null
|
|
rm /etc/udev/rules.d/60-vboxadd.rules 2>/dev/null
|
|
Index: VirtualBox-6.0.0/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.0.orig/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
+++ VirtualBox-6.0.0/src/VBox/Additions/linux/installer/vboxadd-service.sh
|
|
@@ -26,7 +26,7 @@
|
|
# Provides: vboxadd-service
|
|
# Required-Start: vboxadd
|
|
# Required-Stop: vboxadd
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# X-Conflicts-With: systemd-timesyncd.service
|
|
# Description: VirtualBox Additions Service
|
|
Index: VirtualBox-6.0.0/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.0.orig/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
+++ VirtualBox-6.0.0/src/VBox/Installer/linux/vboxautostart-service.sh
|
|
@@ -23,7 +23,7 @@
|
|
# Provides: vboxautostart-service
|
|
# Required-Start: vboxdrv
|
|
# Required-Stop: vboxdrv
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox autostart service
|
|
### END INIT INFO
|
|
Index: VirtualBox-6.0.0/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.0.orig/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
+++ VirtualBox-6.0.0/src/VBox/Installer/linux/vboxballoonctrl-service.sh
|
|
@@ -23,7 +23,7 @@
|
|
# Provides: vboxballoonctrl-service
|
|
# Required-Start: vboxdrv
|
|
# Required-Stop: vboxdrv
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox watchdog daemon
|
|
### END INIT INFO
|
|
Index: VirtualBox-6.0.0/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.0.orig/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
+++ VirtualBox-6.0.0/src/VBox/ValidationKit/testboxscript/linux/testboxscript-service.sh
|
|
@@ -31,7 +31,7 @@
|
|
# Provides: testboxscript-service
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: TestBoxScript service
|
|
### END INIT INFO
|
|
Index: VirtualBox-6.0.0/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.0.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
+++ VirtualBox-6.0.0/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs-nat.sh
|
|
@@ -31,7 +31,7 @@
|
|
# Provides: vboxtxs
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox Test Execution Service
|
|
### END INIT INFO
|
|
Index: VirtualBox-6.0.0/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
===================================================================
|
|
--- VirtualBox-6.0.0.orig/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
+++ VirtualBox-6.0.0/src/VBox/ValidationKit/utils/TestExecServ/linux/vboxtxs.sh
|
|
@@ -31,7 +31,7 @@
|
|
# Provides: vboxtxs
|
|
# Required-Start: $network
|
|
# Required-Stop:
|
|
-# Default-Start: 2 3 4 5
|
|
+# Default-Start: 2 3 5
|
|
# Default-Stop: 0 1 6
|
|
# Description: VirtualBox Test Execution Service
|
|
### END INIT INFO
|